Windows DDK를 사용 해야 하는 개발 환경

만료된 KB 콘텐츠 고지 사항

이 문서는 Microsoft에서 더 이상 지원하지 않는 제품에 대해 작성되었습니다. 따라서 이 문서는 “있는 그대로" 제공되며 더 이상 업데이트되지 않습니다.

요약

도구와 설명서에서 Microsoft Windows 소프트웨어 개발 키트 (SDK) 버전 3.0 또는 3.1 장치 드라이버 또는 가상 장치 (386 확장 모드 가상 장치 포함)를 개발 하는 데 필요 합니다. Microsoft Windows DDK에 대 한 설명서는 SDK 설명서에 대 한 여러 개의 참조가 포함 되어 있습니다. SDK 설명서는 Windows에서 지 원하는 새로운 기능에 대 한 자세한 정보가 포함 되어 있습니다.


드라이버 또는 가상 장치를 개발 하는 동안 기술 지원을 Premier 지원 또는 지원 전문가가 서비스와 관련 Microsoft 고객 기술 지원부에 문의.

자세한 내용

다음 언어, 도구 및 소프트웨어 장치 드라이버 또는 가상 장치가 Microsoft Windows 버전 3.0 또는 3.1을 생성 해야 합니다.


  1. Microsoft 매크로 어셈블러 (MASM) 버전 5.1 이상 (모든 드라이버).
  2. Microsoft C 컴파일러 버전 6.0 이상 (일반적으로 프린터 드라이버 사용).
  3. DDK 버전 3.0 개발자가 컴파일러의 이후 버전으로 업그레이드 하지 않은 의사도 없는 사람 드라이버 구축 DDK에 포함 된 해당 드라이버를 사용 하 여 이진 비교를 수행 하 여 성공적으로 DDK 설치 확인에 대 한 Microsoft C 컴파일러 버전 5.1 지원 합니다. Microsoft C 컴파일러 버전 5.1은 더 이상 상용
  4. 도구와 Microsoft Windows DDK와 SDK는 Microsoft 소프트웨어와 함께 제공 되는 파일입니다.
  5. Windows 정품 제품 및 다양 한 응용 프로그램 (예: 디버깅 및 테스트). 버전 3.1 Windows DDK에서 표시, 프린터 및 드라이버가 디버깅을 돕기 위해 네트워크 호환성 테스트를 포함 합니다.
속성

문서 ID: 68068 - 마지막 검토: 2017. 2. 7. - 수정: 1

피드백